templates:
- autotools
- base

catalog:
  title: xvid codec

variables:
  repository: http://downloads.xvid.org/downloads/xvidcore-${numeric-version}.tar.gz
  scm: archive

  extra-provides:
  - nature: library
    target: xvid
    version: ${numeric-version}
  - '@{next-value}'

  pre-build-hook/unix.command: rm -f "${toolkit.dir}/lib/libxvidcore".*

  bootstrap.command: cd build/generic

versions:
- pattern: '^[0-9]+\.[0-9]+\.[0-9]+$'
  variables:
    numeric-version: ${match:0}

- name: current
  variables:
    numeric-version: 1.3.5
